/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\weapons\vaporizer.cs
Lines of code: 47
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class vaporizer : Longsword
	{

		public override int InitMinHits{ get{ return 3; } }
		public override int InitMaxHits{ get{ return 100; } }

		[Constructable]
		public vaporizer()
		{

			Name = "The Vaporizer";
            Hue = 36;
		
			Weight = 5.0;
			Layer = Layer.OneHanded;
			LootType = LootType.Blessed;
			WeaponAttributes.UseBestSkill = 1;
			Attributes.SpellChanneling = 1;	
			WeaponAttributes.HitFireArea = 50 + Utility.Random(50);
			WeaponAttributes.HitEnergyArea = 50 + Utility.Random(50);
			WeaponAttributes.HitPhysicalArea = 50 + Utility.Random(50);
			WeaponAttributes.HitColdArea = 50 + Utility.Random(50);
			WeaponAttributes.HitLeechHits = 100;
			Attributes.RegenHits = 1 + Utility.Random(30);
			WeaponAttributes.SelfRepair = Utility.Random(2);
			
			AosElementDamages.Physical=20;
			AosElementDamages.Fire=20;
			AosElementDamages.Cold=20;
			AosElementDamages.Poison=20;
			AosElementDamages.Energy=20;
			AosElementDamages.Chaos=0;			

		}
		
		
	/*	public override void GetDamageTypes( Mobile wielder, out int phys, out int fire, out int cold, out int pois, out int nrgy,out int chaos )
		{
		    phys=20;
			fire = 20;
			pois = 20;
			cold = 20;
			nrgy = 20;
			chaos=0;
		}	*/
		

		public vaporizer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}